# systemd-services-hardening

## Présentation
[Systemd](https://systemd.io/) est un système d'initialisation et un gestionnaire de processus/services. La plupart du temps, les logiciels fournissant un service (exemple: sshd) ont un fichier `.service` basique sans utilisation des mécanismes de sécurités offerts par systemd.

Cela peut se vérifier avec la commande `sudo systemd-analyze security nom_du_service`. Cette commande liste tout les mécanismes de sécurité activés pour le .service et calcule un score final (plus il est élevé, plus il est mauvais).

## Installation

- Les fichiers .service renforcés sont dans le dossier `services/` et doivent êtres copiés vers `/etc/systemd/system/`. **Attention** à ne pas écrire par dessus un fichier déjà existant : une mise à jour pourrait remplacer votre fichier renforcé par celui d'origine.
- Il faut ensuite dire à systemd de rescanner le dossier avec : `sudo systemctl daemon-reload`.
- Il ne reste plus qu'à activer le nouveau service et à désactiver l'ancien.
